Skip to main content
GET
/
api
/
shares
List Shares
curl --request GET \
  --url https://api.rapidly.tech/api/shares/ \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "id": "<string>",
      "created_at": "2023-11-07T05:31:56Z",
      "modified_at": "2023-11-07T05:31:56Z",
      "name": "<string>",
      "description": "<string>",
      "visibility": "draft",
      "is_archived": true,
      "workspace_id": "<string>",
      "metadata": {},
      "prices": [
        {
          "created_at": "2023-11-07T05:31:56Z",
          "modified_at": "2023-11-07T05:31:56Z",
          "id": "<string>",
          "source": "catalog",
          "amount_type": "<string>",
          "price_currency": "aud",
          "is_archived": true,
          "share_id": "<string>",
          "price_amount": 123
        }
      ],
      "medias": [
        {
          "id": "<string>",
          "workspace_id": "<string>",
          "name": "<string>",
          "path": "<string>",
          "mime_type": "<string>",
          "size": 123,
          "storage_version": "<string>",
          "checksum_etag": "<string>",
          "checksum_sha256_base64": "<string>",
          "checksum_sha256_hex": "<string>",
          "last_modified_at": "2023-11-07T05:31:56Z",
          "version": "<string>",
          "service": "<string>",
          "is_uploaded": true,
          "created_at": "2023-11-07T05:31:56Z",
          "size_readable": "<string>",
          "public_url": "<string>"
        }
      ],
      "attached_custom_fields": [
        {
          "custom_field_id": "<string>",
          "custom_field": {
            "created_at": "2023-11-07T05:31:56Z",
            "modified_at": "2023-11-07T05:31:56Z",
            "id": "<string>",
            "metadata": {},
            "type": "<string>",
            "slug": "<string>",
            "name": "<string>",
            "workspace_id": "<string>",
            "properties": {
              "form_label": "<string>",
              "form_help_text": "<string>",
              "form_placeholder": "<string>",
              "textarea": true,
              "min_length": 1073741823,
              "max_length": 1073741823
            }
          },
          "order": 123,
          "required": true
        }
      ]
    }
  ],
  "meta": {
    "total": 123,
    "page": 123,
    "per_page": 123,
    "pages": 123
  }
}

Authorizations

Authorization
string
header
required

Create an Workspace Access Token in your workspace's settings page.

Query Parameters

id

Filter by share ID. The share ID.

workspace_id

Filter by workspace ID. The workspace ID.

Example:

"1dbfc517-0bbf-4301-9ba8-555ca42b9737"

query
string | null

Filter by share name.

is_archived
boolean | null

Filter on archived products.

visibility
enum<string>[] | null

Filter by visibility.

Publishing lifecycle state for storefront exposure.

Available options:
draft,
private,
public
page
integer
default:1

Page number, defaults to 1.

limit
integer
default:10

Size of a page, defaults to 10. Maximum is 100.

sorting
enum<string>[] | null

Sorting criterion. Several criteria can be used simultaneously and will be applied in order. Add a minus sign - before the criteria name to sort by descending order.

Available options:
name,
-name,
created_at,
-created_at,
price_amount,
-price_amount,
price_amount_type,
-price_amount_type

Response

Successful Response

data
Share · object[]
required
meta
PageMeta · object
required

Offset-based pagination metadata.